from django.views.decorators.http import require_http_methods

from backend.Service.ProjectCategoryService import ProjectCategoryService


@require_http_methods(['POST'])
def Create(reqeust):
    return ProjectCategoryService.Create(reqeust)


@require_http_methods(['POST'])
def Update(reqeust):
    return ProjectCategoryService.Update(reqeust)


@require_http_methods(['POST'])
def Delete(reqeust):
    return ProjectCategoryService.Delete(reqeust)


@require_http_methods(['POST'])
def Info(reqeust):
    return ProjectCategoryService.Info(reqeust)


@require_http_methods(['POST'])
def Search(reqeust):
    return ProjectCategoryService.Search(reqeust)
